Skip to content
Start here

Update an App

magic_transit.apps.edit(straccount_app_id, AppEditParams**kwargs) -> AppEditResponse
PATCH/accounts/{account_id}/magic/apps/{account_app_id}

Updates an Account App

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
account_app_id: str

Identifier

maxLength32
hostnames: Optional[SequenceNotStr[str]]

FQDNs to associate with traffic decisions.

ip_subnets: Optional[SequenceNotStr[str]]

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

name: Optional[str]

Display name for the app.

source_subnets: Optional[SequenceNotStr[str]]

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

type: Optional[str]

Category of the app.

ReturnsExpand Collapse
class AppEditResponse:

Custom app defined for an account.

account_app_id: str

Magic account app ID.

hostnames: Optional[List[str]]

FQDNs to associate with traffic decisions.

ip_subnets: Optional[List[str]]

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

name: Optional[str]

Display name for the app.

source_subnets: Optional[List[str]]

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

type: Optional[str]

Category of the app.

Update an App

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.magic_transit.apps.edit(
    account_app_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.account_app_id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "account_app_id": "ac60d3d0435248289d446cedd870bcf4",
    "hostnames": [
      "auth.cloudflare.com"
    ],
    "ip_subnets": [
      "192.0.2.0/24"
    ],
    "name": "Cloudflare Dashboard",
    "source_subnets": [
      "192.0.2.0/24"
    ],
    "type": "Development"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "account_app_id": "ac60d3d0435248289d446cedd870bcf4",
    "hostnames": [
      "auth.cloudflare.com"
    ],
    "ip_subnets": [
      "192.0.2.0/24"
    ],
    "name": "Cloudflare Dashboard",
    "source_subnets": [
      "192.0.2.0/24"
    ],
    "type": "Development"
  },
  "success": true
}